LEXER=sql

# Keywords
KEYWORDS=absolute action add admin after aggregate alias all allocate alter and any are array as asc assertion at authorization before begin binary bit blob boolean both breadth by call cascade cascaded case cast catalog char character check class clob close collate collation column commit completion connect connection constraint constraints constructor continue corresponding create cross cube current current_date current_path current_role current_time current_timestamp current_user cursor cycle data date day deallocate dec decimal declare default deferrable deferred delete depth deref desc describe descriptor destroy destructor deterministic dictionary diagnostics disconnect distinct domain double drop dynamic each else end end-exec equals escape every except exception exec execute external false fetch first float for foreign found from free full function general get global go goto grant group grouping having host hour identity if ignore immediate in indicator initialize initially inner inout input insert int integer intersect interval into is isolation iterate join key language large last lateral leading left less level like limit local localtime localtimestamp locator map match minute modifies modify module month names national natural nchar nclob new next no none not null numeric object of off old on only open operation option or order ordinality out outer output pad parameter parameters partial path postfix precision prefix preorder prepare preserve primary prior privileges procedure public read reads real recursive ref references referencing relative restrict result return returns revoke right role rollback rollup routine row rows savepoint schema scroll scope search second section select sequence session session_user set sets size smallint some| space specific specifictype sql sqlexception sqlstate sqlwarning start state statement static structure system_user table temporary terminate than then time timestamp timezone_hour timezone_minute to trailing transaction translation treat trigger true under union unique unknown unnest update usage user using value values varchar variable varying view when whenever where with without work write year zone
TABLES=t_attribute t_attributeconstraints t_attributetag t_authors t_cardinality t_category t_clients t_complexitytypes t_connector t_connectorconstraint t_connectortag t_connectortypes t_constants t_constrainttypes t_datatypes t_diagram t_diagramlinks t_diagramobjects t_diagramtypes t_document t_ecf t_efforttypes t_files t_genopt t_glossary t_html t_image t_implement t_issues t_lists t_mainttypes t_method t_metrictypes t_object t_objectconstraint t_objecteffort t_objectfiles t_objectmetrics t_objectproblems t_objectproperties t_objectrequires t_objectresource t_objectrisks t_objectscenarios t_objecttests t_objecttrx t_objecttypes t_ocf t_operation t_operationparams t_operationposts t_operationpres t_operationtag t_package t_palette t_paletteitem t_phase t_primitives t_problemtypes t_projectroles t_propertytypes t_requiretypes t_resources t_risktypes t_roleconstraint t_rtf t_rtfreport t_rules t_scenariotypes t_script t_secgroup t_secgrouppermission t_seclocks t_secpermission t_secpolicies t_secuser t_secusergroup t_secuserpermission t_snapshot t_statustypes t_stereotypes t_taggedvalue t_tasks t_tcf t_template t_testclass t_testplans t_testtypes t_trxtypes t_umlpattern t_version t_xref t_xrefsystem t_xrefuser

# Special Styles

# Comment Styles
COMMENT_LINECOMMENT_TOKEN=#
COMMENT_STREAMCOMMENTSTART_TOKEN=/*
COMMENT_STREAMCOMMENTEND_TOKEN=*/

# Indentation
INDENT_GUIDES=true
